DataMuseum.dk

Presents historical artifacts from the history of:

Regnecentalen RC-900

This is an automatic "excavation" of a thematic subset of
artifacts from Datamuseum.dk's BitArchive.

See our Wiki for more about Regnecentalen RC-900

Excavated with: AutoArchaeologist - Free & Open Source Software.


top - metrics - download

⟦dfe541ed6⟧ TextFile

    Length: 877 (0x36d)
    Types: TextFile
    Notes: Uncompressed file

Derivation

└─⟦ce621b962⟧ Bits:30004623 Controller Environment R. 1.2 (5.25 inch)
└─⟦ce621b962⟧ UNIX Filesystem
    └─⟦c76c4d867⟧ »CTENV.ISC/new/etc/rci.d/mkctlrusr.Z« 
    └─⟦c76c4d867⟧ »CTENV.SCO/new/etc/rci.d/mkctlrusr.Z« 
└─⟦e03896eec⟧ Bits:30004624 Controller Environment R. 1.2 (3.5 inch)
└─⟦e03896eec⟧ UNIX Filesystem
    └─⟦c76c4d867⟧ »CTENV.ISC/new/etc/rci.d/mkctlrusr.Z« 
    └─⟦c76c4d867⟧ »CTENV.SCO/new/etc/rci.d/mkctlrusr.Z« 
        └─⟦this⟧ 

TextFile

#ident "@(#)mkctlrusr.sh	1.1 - 91/10/09"

progname=`basename $0`

usage()
{
	echo "usage: $progname [-a | -d] cardtype unitnumber" >&2
	exit 2
}

set -- `getopt ad "$@"`

opt=add
while test $# -ge 1
do
	case "$1" in
	--) shift; break;;
	-a) opt=add;;
	-d) opt=del;;
	-*) usage;;
	esac
	shift
done

test $# != 2 && usage

if test "x$1" = xmux
then	exit 0
fi

set -e
user="$1$2"
home=/usr/ctlr/"$2"

case "$opt" in
add)
	comm="$1 $2 owner"
	uid=`expr 80 + "$2"`
	gid=1
	shell=/etc/rci.d/nologin

	passmgmt -a -c "$comm" -h "$home" -u "$uid" -g "$gid" -s "$shell" "$user"
	if test $? != 0 ; then
		echo "passmgmt: add failed" >&2
		exit 1
	fi
	passwd -d -n 20000 -x 20001 "$user"
	chown "$user" "$home"
	chmod 755 "$home"
	;;
del)
	passmgmt -d "$user"
	if test $? != 0 ; then
		echo "passmgmt: delete failed" >&2
		exit 1
	fi
	chown bin "$home"
	chmod 755 "$home"
	;;
esac
exit 0